# $Id: cdp-tools.spec 1015 2010-06-01 14:49:13Z rpmbuild $
# repo: RE
# restrictions:

#
# Copyright (c) 2010 Mike Arnold <rpmpackaging@razorsedge.org>
#
# Please submit bugfixes or comments via http://rpm.razorsedge.org/bugs/
#

Summary: Tools to work with the Cisco Discovery Protocol (CDP)
Name: cdp-tools
Version: 20070302
Release: %RErelease 1
Epoch: 0
License: GPLv2+
Group: Applications/System
URL: http://gpl.internetconnection.net/
Source0: http://gpl.internetconnection.net/files/%{name}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge
BuildRequires: libnet-devel
%if %{?el4}0
BuildRequires: libpcap
%else
BuildRequires: libpcap-devel
%endif

%description
cdp-tools is a set of tools for working with the Cisco Discovery Protocol.

%prep
%setup -q -n %{name}

%build
%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m 0755 -D cdp-listen ${RPM_BUILD_ROOT}%{_sbindir}/cdp-listen
%{__install} -m 0755 -D cdp-routemgr ${RPM_BUILD_ROOT}%{_sbindir}/cdp-routemgr
%{__install} -m 0755 -D cdp-send ${RPM_BUILD_ROOT}%{_sbindir}/cdp-send

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README CHANGELOG DESCRIPTION LICENSE
%{_sbindir}/*
#%doc %{_mandir}/*/*

%changelog
* Mon May 31 2010 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 20070302-1
- First build.

